// @nebular theming framework
@import '~@nebular/theme/styles/theming';
// @nebular out of the box themes
@import '~@nebular/theme/styles/themes';

// $link-color: #dd3333;
// $link-color-hover: #dd3333;

$nb-themes: nb-register-theme((
  layout-padding-top: 2.25rem,

  menu-item-icon-margin: 0 0.5rem 0 0,

  card-height-tiny: 13.5rem,
  card-height-small: 21.1875rem,
  card-height-medium: 28.875rem,
  card-height-large: 36.5625rem,
  card-height-giant: 44.25rem,
  card-margin-bottom: 1.875rem,
  card-header-with-select-padding-top: 0.5rem,
  card-header-with-select-padding-bottom: 0.5rem,

  select-min-width: 6rem,

  slide-out-background: #f7f9fc,
  slide-out-shadow-color: 0 4px 14px 0 #8f9bb3,
  slide-out-shadow-color-rtl: 0 4px 14px 0 #8f9bb3,

  logo-color: #dd3333,
  
  color-primary-100: #f8d6d6,
  color-primary-200: #f1adad,
  color-primary-300: #ea8484,
  color-primary-400: #e35b5b,
  color-primary-500: #dd3333,
  color-primary-600: #ba1f1f,
  color-primary-700: #8b1717,
  color-primary-800: #5d0f0f,
  color-primary-900: #2e0707,

  color-primary-transparent-100: rgba(221, 51, 51, 0.08),
  color-primary-transparent-200: rgba(221, 51, 51, 0.16),
  color-primary-transparent-300: rgba(221, 51, 51, 0.24),
  color-primary-transparent-400: rgba(221, 51, 51, 0.32),
  color-primary-transparent-500: rgba(221, 51, 51, 0.4),
  color-primary-transparent-600: rgba(221, 51, 51, 0.48),

  chat-border-radius: 0.9375rem,
), default, default);

$nb-themes: nb-register-theme((
  layout-padding-top: 2.25rem,

  menu-item-icon-margin: 0 0.5rem 0 0,

  card-height-tiny: 13.5rem,
  card-height-small: 21.1875rem,
  card-height-medium: 28.875rem,
  card-height-large: 36.5625rem,
  card-height-giant: 44.25rem,
  card-margin-bottom: 1.875rem,
  card-header-with-select-padding-top: 0.5rem,
  card-header-with-select-padding-bottom: 0.5rem,

  select-min-width: 6rem,

  slide-out-background: #252547,
  slide-out-shadow-color: 2px 0 3px #29157a,
  slide-out-shadow-color-rtl: -2px 0 3px #29157a,

  logo-color: #ffffff,
  chat-border-radius: 0.9375rem,
), cosmic, cosmic);

$nb-themes: nb-register-theme((
  layout-padding-top: 2.25rem,

  menu-item-icon-margin: 0 0.5rem 0 0,

  card-height-tiny: 13.5rem,
  card-height-small: 21.1875rem,
  card-height-medium: 28.875rem,
  card-height-large: 36.5625rem,
  card-height-giant: 44.25rem,
  card-margin-bottom: 1.875rem,
  card-header-with-select-padding-top: 0.5rem,
  card-header-with-select-padding-bottom: 0.5rem,

  select-min-width: 6rem,

  slide-out-background: linear-gradient(270deg, #edf1f7 0%, #e4e9f2 100%),
  slide-out-shadow-color: 0 4px 14px 0 #8f9bb3,
  slide-out-shadow-color-rtl: 0 4px 14px 0 #8f9bb3,

  logo-color: #dd3333,
  
  color-primary-100: #f8d6d6,
  color-primary-200: #f1adad,
  color-primary-300: #ea8484,
  color-primary-400: #e35b5b,
  color-primary-500: #dd3333,
  color-primary-600: #ba1f1f,
  color-primary-700: #8b1717,
  color-primary-800: #5d0f0f,
  color-primary-900: #2e0707,

  color-primary-transparent-100: rgba(221, 51, 51, 0.08),
  color-primary-transparent-200: rgba(221, 51, 51, 0.16),
  color-primary-transparent-300: rgba(221, 51, 51, 0.24),
  color-primary-transparent-400: rgba(221, 51, 51, 0.32),
  color-primary-transparent-500: rgba(221, 51, 51, 0.4),
  color-primary-transparent-600: rgba(221, 51, 51, 0.48),

  chat-border-radius: 0.9375rem,
), corporate, corporate);

$nb-themes: nb-register-theme((
  layout-padding-top: 2.25rem,

  menu-item-icon-margin: 0 0.5rem 0 0,

  card-height-tiny: 13.5rem,
  card-height-small: 21.1875rem,
  card-height-medium: 28.875rem,
  card-height-large: 36.5625rem,
  card-height-giant: 44.25rem,
  card-margin-bottom: 1.875rem,
  card-header-with-select-padding-top: 0.5rem,
  card-header-with-select-padding-bottom: 0.5rem,

  select-min-width: 6rem,

  slide-out-background: linear-gradient(270deg, #222b45 0%, #151a30 100%),
  slide-out-shadow-color: 0 4px 14px 0 #8f9bb3,
  slide-out-shadow-color-rtl: 0 4px 14px 0 #8f9bb3,

  logo-color: #ffffff,

  color-primary-100: #f8d6d6,
  color-primary-200: #f1adad,
  color-primary-300: #ea8484,
  color-primary-400: #e35b5b,
  color-primary-500: #dd3333,
  color-primary-600: #ba1f1f,
  color-primary-700: #8b1717,
  color-primary-800: #5d0f0f,
  color-primary-900: #2e0707,

  color-primary-transparent-100: rgba(221, 51, 51, 0.08),
  color-primary-transparent-200: rgba(221, 51, 51, 0.16),
  color-primary-transparent-300: rgba(221, 51, 51, 0.24),
  color-primary-transparent-400: rgba(221, 51, 51, 0.32),
  color-primary-transparent-500: rgba(221, 51, 51, 0.4),
  color-primary-transparent-600: rgba(221, 51, 51, 0.48),

  chat-border-radius: 0.9375rem,
), dark, dark);
